Bug 1122413 - [fork][origin_ui_186] Unnecessary message show up while creating app with region when server has no regions
Summary: [fork][origin_ui_186] Unnecessary message show up while creating app with reg...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Fabiano Franz
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 1123743
TreeView+ depends on / blocked
 
Reported: 2014-07-23 08:01 UTC by weiwei jiang
Modified: 2016-10-30 22:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1123743 (view as bug list)
Environment:
Last Closed: 2014-10-10 00:49:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description weiwei jiang 2014-07-23 08:01:33 UTC
Description of problem:
Unnecessary message "Available regions are" show up while creating app with region when server has no regions
# rhc app create app php-5.4 --region region --no-git 
Application Options
-------------------
Domain:     wjiang
Cartridges: php-5.4
Gear Size:  default
Scaling:    no
Region:     region

Creating application 'app' ... Could not find region 'region'.  Available regions are 


Version-Release number of selected component (if applicable):
fork_ami_origin_ui_186_1229
rhc build from fork_ami_origin_ui_186_1229

How reproducible:
always

Steps to Reproduce:
1. Create app with region when server have no regions
2.
3.

Actual results:
# rhc app create app php-5.4 --region region --no-git 
Application Options
-------------------
Domain:     wjiang
Cartridges: php-5.4
Gear Size:  default
Scaling:    no
Region:     region

Creating application 'app' ... Could not find region 'region'.  Available regions are 

Expected results:
The unnecessary message shouldn't show up.

Additional info:

Comment 1 Fabiano Franz 2014-07-23 18:56:43 UTC
Fixed in https://github.com/openshift/origin-server/pull/5644

Comment 2 openshift-github-bot 2014-07-23 20:34:10 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/fc3f0ed5a6bc83cebe11f10f68e16a305c5e7cea
Bug 1122413 - handle server without explicit regions

Comment 3 weiwei jiang 2014-07-24 05:29:36 UTC
Checked with devenv_5003, and the issue can not reproduce, So verify this.


Note You need to log in before you can comment on or make changes to this bug.